;***********************************************
;* Funcion: carga
;* Esta funcion carga los comandos y funciones
;* necesarias para el funcionamiento del 
;* proyecto de subestaciones.
;***********************************************
;
; Change log
;
; 14/11/94 C.Perigault  Creacion
;
; 18/11/94 C.Perigault  Se agrego una instruccion
;                       para que mostrara los programas
;                       que carga
;
; 18/11/94 C.Perigault  El programa se autoinvoca al
;                       cargarse
;
(defun carga ()
    ; en listaDeProgramas se define el nombre de los
    ; programas que deberan ser cargados
    (setq listaDeProgramas (list "cvista"
                                 "gvista"
                                 "tabla" 
                                 "linea" 
                                 "mbloque" 
                                 "anorma"
                                 "item"
                                 "prayo"
                                 "iuni"
                                 "iele"
                                 "ican"
                                 "iequ"))
  
 
    ; SUBLSP variable del sistema del
    ; path de los programas
    (setq path (getenv "SUBLSP"))
    (setq n    (length listaDeProgramas))
    (setq i 0)
    (repeat n
        (setq nombre (strcat path "\\" (nth i listaDeProgramas) ".lsp"))
        (setq i (+ i 1))
        (if (findfile nombre)
            (progn
                (princ (strcat "\nCargando: " nombre))
                (load nombre))
            (princ (strcat "\n*** El programa: " nombre " no existe ***\n")))))
        
 (princ "\nProyecto de Subestaciones Electicas")     
 (princ "\nProgramas desarrollados por: ")
 (princ "\nChristian Perigault")
 (carga) ; ejecuta el programa al cargarse   
